package com.mmc.iuav.user.dao;

import com.mmc.iuav.user.entity.UserSubInfoDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author: zj
 * @Date: 2023/5/24 15:00
 */
@Mapper
public interface UserSubInfoDao {
    Integer countUserSubInfo(String openId);

    UserSubInfoDO getUserSubInfo(String openId);

    UserSubInfoDO getUserSubInfoById(Integer userAccountId);

    UserSubInfoDO getUserSubInfoByUnionId(String unionId);

    void insertUserSubInfo(UserSubInfoDO subInfo);

    void removeUserSubInfo(String openId);

    void updateUserSubInfo(UserSubInfoDO subInfo);
}
